Beefy Boxes and Bandwidth Generously Provided by pair Networks
Your skill will accomplish
what the force of many cannot

Problems with compliling perl

by Anonymous Monk
on Sep 25, 2012 at 01:21 UTC ( #995474=perlquestion: print w/ replies, xml ) Need Help??
Anonymous Monk has asked for the wisdom of the Perl Monks concerning the following question:

Hi, I have a problem producing executable file out of Per l scripts. Until 12.04 Ubuntu upgrade everything was working quite well. Now I get this messages when I try to compile scripts with :

  pp -X DBD::SQLite -X DBD::CSV -X DBD::File -X DBD::Excel -I ./Eclipse/lib -I . -o Tinia_Visu_Event_Server ./Eclipse/bin/

Error message says :

/tmp/parlVU3f: private subdirectory /tmp/par-root is unsafe (please re +move it and retry your operation) /usr/bin/pp: Failed to extract a parl from 'PAR::StrippedPARL::Static' + to file '/tmp/parlnRekYmE' at /usr/share/perl5/PAR/ line 11 +69, <DATA> line 1.

What is wrong ? There is enough space on disks...

Thanks in advance,


Comment on Problems with compliling perl
Select or Download Code
Replies are listed 'Best First'.
Re: Problems with compliling perl
by Mr. Muskrat (Abbot) on Sep 25, 2012 at 17:19 UTC

    Remove the /tmp/par-root directory (as instructed) and try it again.

      I've tried this already (either removed or chmoded to 777), but error stays... Regards, Robert.
        chmoding has nothing to do with it , upgrade PAR/PAR::Packer
Re: Problems with compliling perl
by dasgar (Curate) on Sep 25, 2012 at 03:16 UTC

    My *nix experience and knowledge is admittedly very limited, but my first thought is there might be a permission level issue -- as in the user account that you're using doesn't have the needed permission to read/write some directory or file. If I'm reading that error message, the item in question would be either the /tmp directory or the "file '/tmp/parlnRekYmE'".

Re: Problems with compliling perl
by Anonymous Monk on Sep 25, 2012 at 07:57 UTC
    What does  pp --version report? I would upgrade both PAR and PAR::Packer

      It says

      pp --version PAR Packager, version 1.012 (PAR version 1.005) Copyright 2002-2009 by Audrey Tang <>

      I'm on Ubuntu 12.04 - it says they are up to date...

      Regards, Robert.

        Nope, PAR::Packer is now at 1.013. If you are having problems with a module, check cpan, note module version differences, note entries in the changelog (for example RT #73491), check the open bugs.

Log In?

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://995474]
Approved by NetWallah
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others contemplating the Monastery: (4)
As of 2015-10-08 23:55 GMT
Find Nodes?
    Voting Booth?

    Does Humor Belong in Programming?

    Results (232 votes), past polls